0

I am a complete noob, i just installed ubuntu and came across "no wifi adapters found". Ive been following other answers on this topic but i keep getting stuck. Not sure how to attach those answers as a reference.

I typed in the terminal

lspci -nn -d 14e4:

And got

Broadcom limited BCM43142 802.11b/g/n [14e4:4365] (rev 01)

And ive been trying to get bcmwl-kernel-source.

I am on ubuntu 18.04 and i manually searched on my usb boot disc and copied and pasted the two files to my home directory?(main page i guess) They are called:

bcmwl-kernel-source_6.30.223.271+bdcom-0ubuntu4_amd64.deb

And

dkms_2.3-3ubuntu9.2_all.deb

When i open the first file it doesnt list BCM43142 as included in the package and clicking install doesnt seem to do anything. Can somebody prease herp meee

  • Are the files in your home directory or on the desktop? From the terminal: sudo updatedb && locate bcmwl Welcome to Ask Ubuntu. – chili555 Aug 23 '18 at 23:09
  • It says: /home/myusername/desktop/bcmwl-kernel-source_6.30.223.271+bdcom-0ubuntu4_amd64.deb – greycat Aug 23 '18 at 23:39
1

Please open a terminal and run:

cd ~/Desktop
sudo dpkg -i dkms*.deb
sudo dpkg -i bcmwl*.deb

Please post any errors.

EDIT: Please download build-essential and all its dependencies, marked with red dots, and transfer them to your desktop. https://packages.ubuntu.com/bionic/build-essential Install them as above:

cd ~/Desktop
sudo dpkg -i some_package*.deb

Of course, if you can even temporarily get an internet connection by ethernet or tethering, it is as simple as:

sudo apt update
sudo apt install bcmwl-kernel-source

All the dependencies will be resolved automatically.

EDIT 2: I believe that most, perhaps all, of the packages are on the install DVD. Insert the DVD and run:

sudo apt-cdrom -m -d /media/cdrom add
sudo apt install bcmwl-kernel-source

Post any errors or warnings.

  • dpkg: dependency problems prevent configuration of dkms: dkms depends on gcc; however: package gcc is not installed. dkms depends on dpkg-dev; however: package dpkg-dev is not installed. dkms depends on make |build essential; however: package make is not installed. Package build-essential is not installed. dpkg: error processing package dkms (--install): dependency problems- leaving unconfigured processing triggers for man-db (2.8.3-2)...Errors were encountered while processing: dkms. This is from the first command – greycat Aug 24 '18 at 0:12
  • Please see my edit above in a few moments. – chili555 Aug 24 '18 at 0:14
  • The second command gives a similar answer. Im typing all this through my phone, sorry if this writing structure is hard to read – greycat Aug 24 '18 at 0:15
  • No problems. We needn't see the exact result. – chili555 Aug 24 '18 at 0:21
  • I clicked the link above and im unsure what to click on, could you please tell me how to download it? – greycat Aug 24 '18 at 0:29

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.